proc gateway_rampant_batchargs {extra_args} {
    global file_name
    set ret [list domain $file_name(domain) bocofile $file_name(family_boco)]
    if {$file_name(family_topo) != ""} {
	lappend ret topofile $file_name(family_topo)
    }
    append ret " $extra_args"
    return $ret
}
